%global use_utf8_dict 1
%global pkg  anthy

%define	dic_date  20110409

%define major 0
%define libname %mklibname %{name} %{major}
%define develname %mklibname -d %name

%define rel 19

Name:  anthy
Version: 9100h
Release: %mkrel 25.%{dic_date}.%{rel}
Group:   System/Internationalization
# The entire source code is LGPLv2+ and dictionaries is GPLv2. the corpus data is under Public Domain.
License: LGPL-2.1-or-later AND GPL-2.0-only AND LicenseRef-Fedora-Public-Domain
URL:  http://sourceforge.jp/projects/anthy/
BuildRequires: emacs-bin
BuildRequires: automake
Source0: http://osdn.dl.sourceforge.jp/anthy/37536/anthy-%{version}.tar.gz
Source1: %{name}-init.el
Patch0:  %{name}-fix-typo-in-dict.patch
Patch1:  %{name}-fix-typo-in-dict-name.patch
Patch10: %{name}-corpus.patch
Patch11: %{name}-fix-elisp.patch
Patch12: %{name}-aarch64.patch
Patch13: %{name}-fix-segfault.patch
Patch14: %{name}-fix-emacs29.patch
Patch15: %{name}-fix-eol.patch

Summary: Japanese character set input library
Requires: emacs >= 29.4
Requires: %{libname} = %{version}-%{release}
Provides: emacs-%{pkg}-el, emacs-%{pkg}
Provides: emacs-%{pkg}

%description
Anthy provides the library to input Japanese on the applications, such as
X applications and emacs. and the user dictionaries and the users information
which is used for the conversion, is stored into their own home directory.
So Anthy is secure than other conversion server.


%package -n %{libname}
Summary:    Anthy library
Group:      System/Internationalization

%description -n %{libname}
Anthy library.

%package -n %{develname}
Summary:    Headers of %{name} for development
Group:      Development/C
Requires:   %{libname} = %{version}
Provides:   %{name}-devel = %{version}-%{release}
Obsoletes:  %{mklibname -d anthy 0} < 9100h-25
Conflicts:  %{mklibname anthy 0} < 9100e-10

%description -n %{develname}
Anthy development package: static libraries, header files, and the like.


%prep
%autosetup -p1

# Convert to utf-8
for file in ChangeLog doc/protocol.txt; do
    iconv -f ISO-8859-1 -t UTF-8 -o $file.new $file && \
    touch -r $file $file.new && \
    mv $file.new $file
done

%if %{use_utf8_dict}
function normalize_extra_dict() {
 sed -e 's/^\([^  ]*\)t[  ]*\(#[A-Z0-9\*]*\)[  ]*\([^  ]*\)$/\1 \2 \3/g' $1 > $1.norm
}
function dict_conv() {
 iconv -f euc-jp -t utf-8 $1 > $1.utf8
}
function gen_dict_args() {
 if ! test -f $RPM_BUILD_DIR/%{name}-%{version}/mkworddic/dict.args.in-orig; then
  cp -a $RPM_BUILD_DIR/%{name}-%{version}/mkworddic/dict.args.in{,-orig}
 fi
 cat <<_EOF_ > $RPM_BUILD_DIR/%{name}-%{version}/mkworddic/dict.args.in
# Generated by rpm script
set_input_encoding utf8
read @top_srcdir@/alt-cannadic/gcanna.ctd.utf8
read @top_srcdir@/alt-cannadic/gcannaf.ctd.utf8
read @top_srcdir@/alt-cannadic/gtankan.ctd.utf8
read @top_srcdir@/alt-cannadic/extra/g-jiritu-34.t.norm
read @top_srcdir@/alt-cannadic/extra/gc-fullname-34.t.norm
read @top_srcdir@/alt-cannadic/extra/gt-tankanji_kanji-34.t.norm
read @top_srcdir@/alt-cannadic/extra/gt-tankanji_hikanji-34.t.norm
read @top_srcdir@/alt-cannadic/extra/gf-fuzoku-34.t.norm
read @top_srcdir@/mkworddic/adjust.t.utf8
read @top_srcdir@/mkworddic/compound.t.utf8
read @top_srcdir@/mkworddic/extra.t.utf8
read @top_srcdir@/alt-cannadic/g_fname.t
#
build_reverse_dict
set_dict_encoding utf8
read_uc @top_srcdir@/mkworddic/udict.utf8
write anthy.wdic
done
_EOF_
touch -r $RPM_BUILD_DIR/%{name}-%{version}/mkworddic/dict.args.in{-orig,}
}

(
 cd alt-cannadic
 for i in gcanna.ctd gcannaf.ctd gtankan.ctd; do
  dict_conv $i
 done
 cd extra
 for i in g-jiritu-34.t gc-fullname-34.t gf-fuzoku-34.t gt-tankanji_hikanji-34.t gt-tankanji_kanji-34.t; do
  normalize_extra_dict $i
 done
);(
 cd mkworddic
 for i in adjust.t compound.t extra.t udict zipcode.t; do
  dict_conv $i
 done
)
gen_dict_args
%endif


%build
%configure --disable-static
# fix rpath issue
sed -ie 's/^hardcode_libdir_flag_spec.*$'/'hardcode_libdir_flag_spec=" -D__LIBTOOL_IS_A_FOOL__ "/' libtool
LD_LIBRARY_PATH=$RPM_BUILD_DIR/%{name}-%{version}/src-main/.libs:$RPM_BUILD_DIR/%{name}-%{version}/src-worddic/.libs %make_build

%install
%make_install

# remove unnecessary files
rm -rf $RPM_BUILD_ROOT%{_libdir}/lib*.{la,a}

## for emacs-anthy
mkdir -p $RPM_BUILD_ROOT%{_emacs_sitestartdir}
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_emacs_sitestartdir}

%files
%doc AUTHORS ChangeLog DIARY NEWS README
%license COPYING
%{_bindir}/*
%config %{_sysconfdir}/*
%{_datadir}/anthy/
%doc doc/ELISP
%{_emacs_sitelispdir}/%{pkg}/*.el
%{_emacs_sitelispdir}/%{pkg}/*.elc
%{_emacs_sitestartdir}/*.el
%dir %{_emacs_sitelispdir}/%{pkg}

%files -n %{libname}
%license COPYING
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%license COPYING
%doc doc/DICLIB doc/DICUTIL doc/GLOSSARY doc/GRAMMAR doc/GUIDE.english doc/ILIB doc/LEARNING doc/LIB doc/MISC doc/POS doc/SPLITTER doc/TESTING doc/protocol.txt
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Mon Jun 30 2025 umeabot <umeabot> 9100h-25.20110409.19.mga10
+ Revision: 2230277
- Mageia 10 Mass Rebuild

* Tue Nov 26 2024 ns80 <ns80> 9100h-25.20110409.18.mga10
+ Revision: 2118959
- sync with Fedora to fix building with GCC 14

* Tue Mar 15 2022 umeabot <umeabot> 9100h-25.20110409.17.mga9
+ Revision: 1793355
- Mageia 9 Mass Rebuild

* Mon Jan 25 2021 neoclust <neoclust> 9100h-25.20110409.16.mga8
+ Revision: 1673266
- Disable emacs support for now
+ wally <wally>
- add patch to fix build with autoconf > 2.69

* Sat Feb 15 2020 umeabot <umeabot> 9100h-25.20110409.15.mga8
+ Revision: 1526037
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Apr 21 2019 daviddavid <daviddavid> 9100h-25.20110409.14.mga7
+ Revision: 1394420
- add patch to fix an invalid unicode utf-8 in Comment (thus fixing ibus-anthy build)

* Fri Sep 21 2018 umeabot <umeabot> 9100h-25.20110409.13.mga7
+ Revision: 1294337
- Mageia 7 Mass Rebuild

* Mon Jun 04 2018 wally <wally> 9100h-25.20110409.12.mga7
+ Revision: 1234506
- fix build on aarch64

* Tue Mar 15 2016 tv <tv> 9100h-25.20110409.11.mga6
+ Revision: 991038
- drop patch 13 (same logic has been merged upstream)

* Wed Mar 09 2016 pterjan <pterjan> 9100h-25.20110409.10.mga6
+ Revision: 988461
- Fix build when grep thinks some EUC-JP files are binary
+ luigiwalser <luigiwalser>
- add patch from debian to fix infinite loop (bdo#777689)
- add patches from fedora to fix elisp file and segfault
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 9100h-25.20110409.6.mga5
+ Revision: 742587
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 9100h-25.20110409.5.mga5
+ Revision: 686504
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 9100h-25.20110409.4.mga5
+ Revision: 677777
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 9100h-25.20110409.3.mga4
+ Revision: 533030
- Mageia 4 Mass Rebuild

* Sat Aug 24 2013 fwang <fwang> 9100h-25.20110409.2.mga4
+ Revision: 470874
- cleanup spec

* Fri Jan 11 2013 umeabot <umeabot> 9100h-25.20110409.2.mga3
+ Revision: 345599
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Aug 07 2011 fwang <fwang> 9100h-25.20110409.1.mga2
+ Revision: 132153
- new snapshot 20110409

* Thu Mar 24 2011 boklm <boklm> 9100h-25.20100710.3.mga1
+ Revision: 76129
- rebuild for bug #497

* Fri Mar 18 2011 tv <tv> 9100h-25.20100710.2.mga1
+ Revision: 73645
- bump release
- clean up
- imported package anthy


* Mon Aug 09 2010 Funda Wang <fwang@mandriva.org> 9100h-25.20100710.1mdv2011.0
+ Revision: 567855
- sync with ut packages

* Tue May 25 2010 Christophe Fergeau <cfergeau@mandriva.com> 9100h-21.20100423.3mdv2010.1
+ Revision: 545958
- fix anthy crash when HOME isn't set

* Wed Apr 28 2010 Christophe Fergeau <cfergeau@mandriva.com> 9100h-21.20100423.2mdv2010.1
+ Revision: 540236
- rebuild so that shared libraries are properly stripped again

* Mon Apr 26 2010 Funda Wang <fwang@mandriva.org> 9100h-21.20100423.1mdv2010.1
+ Revision: 538822
- New patch seriers

* Fri Jan 29 2010 Funda Wang <fwang@mandriva.org> 9100h-20.20091228.1mdv2010.1
+ Revision: 497934
- use patches anthy sources

* Mon Nov 09 2009 Funda Wang <fwang@mandriva.org> 9100h-11.20091030.1mdv2010.1
+ Revision: 463358
- New ut patches

* Thu Oct 08 2009 Funda Wang <fwang@mandriva.org> 9100h-11.20091001.1mdv2010.0
+ Revision: 456124
- New ut patches

* Fri Sep 25 2009 Olivier Blin <oblin@mandriva.com> 9100h-11.20090731.1mdv2010.0
+ Revision: 448776
- fix long double brain damage since on some ABI, long double = double
  (rediffed patch from Arnaud Patard)

* Sat Aug 01 2009 Funda Wang <fwang@mandriva.org> 9100h-10.20090731.1mdv2010.0
+ Revision: 405356
- new ut patches

* Sat Jul 11 2009 Funda Wang <fwang@mandriva.org> 9100h-10.20090704.1mdv2010.0
+ Revision: 394434
- New ut patches

* Sat May 30 2009 Funda Wang <fwang@mandriva.org> 9100h-1.20090507.1mdv2010.0
+ Revision: 381397
- New ut patches

* Mon Feb 09 2009 Funda Wang <fwang@mandriva.org> 9100h-1.20090209.1mdv2009.1
+ Revision: 338763
- reconf
- New version 9100h with newer ut patches

* Sat Feb 07 2009 Funda Wang <fwang@mandriva.org> 9100g-1.20090129.1mdv2009.1
+ Revision: 338323
- disable ut patches for now (it modifies configure.ac too much)
- anthy 9100g
- New ut patches

* Mon Jan 19 2009 Funda Wang <fwang@mandriva.org> 9100e-18.20090119.1mdv2009.1
+ Revision: 331285
- fix str fmt
- new patches

* Mon Dec 08 2008 Funda Wang <fwang@mandriva.org> 9100e-17.20081203.1mdv2009.1
+ Revision: 311860
- new patch series

* Thu Nov 20 2008 Funda Wang <fwang@mandriva.org> 9100e-16.20081117.1mdv2009.1
+ Revision: 304928
- new ut patches

* Sat Oct 25 2008 Funda Wang <fwang@mandriva.org> 9100e-15.20081025.1mdv2009.1
+ Revision: 297231
- new ut patches

* Mon Oct 20 2008 Funda Wang <fwang@mandriva.org> 9100e-14.20081018.1mdv2009.1
+ Revision: 295473
- new ut patches 20081018

* Thu Oct 16 2008 Funda Wang <fwang@mandriva.org> 9100e-13.20081015.1mdv2009.1
+ Revision: 294111
- New ut patches

* Sun Sep 28 2008 Funda Wang <fwang@mandriva.org> 9100e-12.20080928.1mdv2009.0
+ Revision: 288969
- New ut patches

* Mon Aug 04 2008 Funda Wang <fwang@mandriva.org> 9100e-11.20080804.1mdv2009.0
+ Revision: 263386
- new ut patches

* Sun Jun 15 2008 Funda Wang <fwang@mandriva.org> 9100e-10.20080605.1mdv2009.0
+ Revision: 219205
- move .so file into devel package

* Sun Jun 15 2008 Funda Wang <fwang@mandriva.org> 9100e-9.20080605.1mdv2009.0
+ Revision: 219204
- New ut patches

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sat May 03 2008 Funda Wang <fwang@mandriva.org> 9100e-8.20080502.1mdv2009.0
+ Revision: 200586
- New ut patches

* Mon Apr 21 2008 Funda Wang <fwang@mandriva.org> 9100e-7.20080411.1mdv2009.0
+ Revision: 196293
- Updated ut patches

* Fri Mar 14 2008 Funda Wang <fwang@mandriva.org> 9100e-7.20080309.1mdv2008.1
+ Revision: 187754
- Update ut patches

* Sat Mar 08 2008 Funda Wang <fwang@mandriva.org> 9100e-6.20080226.1mdv2008.1
+ Revision: 182054
- Updated ut patches

* Tue Feb 26 2008 Funda Wang <fwang@mandriva.org> 9100e-5.20080224.1mdv2008.1
+ Revision: 175232
- Update patches from ut

* Sat Feb 09 2008 Funda Wang <fwang@mandriva.org> 9100e-4mdv2008.1
+ Revision: 164435
- Updatedut patches

* Thu Feb 07 2008 Funda Wang <fwang@mandriva.org> 9100e-3mdv2008.1
+ Revision: 163396
- Updated patches from UTUMI Hirosi

* Tue Jan 29 2008 Funda Wang <fwang@mandriva.org> 9100e-2mdv2008.1
+ Revision: 159831
- disable non-applied patch
- Use new patch

* Tue Jan 29 2008 Funda Wang <fwang@mandriva.org> 9100e-1mdv2008.1
+ Revision: 159595
- New version 9100e

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Nov 02 2007 Funda Wang <fwang@mandriva.org> 9100d-1mdv2008.1
+ Revision: 105270
- New version 9100d

* Sat Oct 27 2007 Funda Wang <fwang@mandriva.org> 9100c-1mdv2008.1
+ Revision: 102562
- Drop unused patches
- New version 9100c

* Wed Aug 29 2007 Funda Wang <fwang@mandriva.org> 9100-2mdv2008.0
+ Revision: 74998
- Merge UTUMI Hirosi's changes

* Sat Jul 07 2007 Funda Wang <fwang@mandriva.org> 9100-1mdv2008.0
+ Revision: 49345
- New version

* Sat Jun 16 2007 Funda Wang <fwang@mandriva.org> 9011-1mdv2008.0
+ Revision: 40364
- New version

* Mon May 28 2007 Funda Wang <fwang@mandriva.org> 8921-1mdv2008.0
+ Revision: 31907
- New version

* Sun May 13 2007 Funda Wang <fwang@mandriva.org> 8906-1mdv2008.0
+ Revision: 26504
- New upstream version

* Wed Apr 25 2007 Funda Wang <fwang@mandriva.org> 8819-1mdv2008.0
+ Revision: 18087
- emacs scripts location has changed.
- New upstream version.
  parallel build doesn't build.

* Mon Apr 23 2007 Funda Wang <fwang@mandriva.org> 8700b-1mdv2008.0
+ Revision: 17174
- New upstream version 8700b.


* Fri Nov 24 2006 Thierry Vignaud <tvignaud@mandriva.com> 8300-1mdv2007.0
+ Revision: 87014
- UTUMI Hirosi <utuhiro78@yahoo.co.jp>:
- new release
- update source1 (anthy_gcanna_ut)
- add patch0 (it will be merged soon)
- reenable parallel build

* Wed Oct 18 2006 Thierry Vignaud <tvignaud@mandriva.com> 8116-1mdv2007.1
+ Revision: 65971
- temporary disable broken parallel build
- new release; update source1 (UTUMI Hirosi <utuhiro78@yahoo.co.jp>)
- initial import
- Created package structure for anthy.

* Fri Sep 01 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 8023-1mdv2007.0
- new release
- update source1 (anthy_gcanna_ut)

* Wed Aug 30 2006 Thierry Vignaud <tvignaud@mandriva.com> 8019-2mdv2007.0
- prevent extra devel requires on non devel file

* Tue Aug 22 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 8019-1mdv2007.0
- new release
- update source1 (anthy_gcanna_ut)
- remove patch0,1 (merged upstream)

* Thu Aug 17 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 8013-2mdv2007.0
- update source1 (anthy_gcanna_ut)
- add patch0 (anthy-name.t_20060815.diff)
- add patch1 (anthy_gcannaf.ctd_20060815.diff)

* Tue Aug 15 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 8013-1mdv2007.0
- new release

* Tue Aug 01 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 7929-1mdv2007.0
- new release

* Tue Jul 25 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 7917-1mdv2007.0
- new release

* Tue Jun 20 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 7818-1mdv2007.0
- new release

* Mon May 15 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 7714-1mdk
- new release

* Thu Apr 27 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 7625-1mdk
- new release

* Thu Apr 27 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 7625-1mdk
- new release

* Sun Apr 23 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 7622-1mdk
- new release

* Thu Apr 20 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 7614-2mdk
- update source1

* Sun Apr 16 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 7614-1mdk
- new release
- remove patch0 (merged upstream)

* Fri Apr 14 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 7608-1mdk
- new release
- update source1
- remove patch0, patch1 (merged upstream)
- add new patch0

* Wed Mar 15 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 7500-1mdk
- new release
- remove patch0 (merged upstream)
- update source1
- add patch0
- add patch1

* Wed Feb 22 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 7419-2mdk
- update source1
- update patch0

* Tue Feb 21 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 7419-1mdk
- new release
- update source1
- add patch0

* Sun Jan 08 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 7307-1mdk
- replace patch0 with source1
- update source1 (cannadic)

* Wed Dec 28 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 7227-1mdk
- new release
- update patch0

* Tue Nov 22 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 7100b-2mdk
- remove source1 (anthy_placename) to keep conversion compatibility

* Thu Nov 03 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 7100b-1mdk
- new release

* Sun Oct 30 2005 Nicolas Lécureuil <neoclust@mandriva.org> 7029-1mdk
- package from : UTUMI Hirosi <utuhiro78 at yahoo dot co dot jp>
	- new release
	- add patches for dictionaries (source1, patch0)

* Fri Oct 07 2005 Thierry Vignaud <tvignaud@mandriva.com> 6829-1mdk
- new release

* Thu Aug 04 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 6801-1mdk
- new release

* Sat Jul 23 2005 Nicolas Lécureuil <neoclust@mandriva.org> 6700b-1mdk
- New release 6700b

* Sat Jun 18 2005 Nicolas Lécureuil <neoclust@mandriva.org> 6606-1mdk
- New release 6606

* Tue May 10 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 6508-1mdk
- new release

* Sun Apr 03 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 6331-1mdk
- new release

* Tue Mar 08 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 6300d-1mdk
- new release

* Sun Mar 06 2005 Stefan van der Eijk <stefan@eijk.nu> 6300-2mdk
- reupload, src.rpm got lost
- remove requires-on-release (rpmlint)

* Mon Feb 28 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 6300-1mdk
- new release
- spec clean up

* Tue Feb 01 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 6131-1mdk
- new release (fix conversion quite a lot common japanese words)

* Fri Jan 28 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 6125-1mdk
- new release

* Tue Dec 28 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 6024-1mdk
- new release
- clean up spec

* Thu Nov 25 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 5924-1mdk
- new release

* Mon Nov 01 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 5900-1mdk
- new release

* Thu Sep 16 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 5714-1mdk
- new release

* Sun Sep 05 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 5704-1mdk
- new release

* Sat Aug 28 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 5626-1mdk
- new release

* Fri Aug 06 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 5605-1mdk
- new release
- reenable libtoolize

* Sun Aug 01 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 5531-1mdk
- new release

* Fri Jul 30 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 5524-2mdk
- rpmbuildupdate aware

* Sun Jul 25 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 5524-1mdk
- new release

* Sun Jul 25 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 5523-1mdk
- new release

* Wed Jul 21 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 5516-1mdk
- new release

* Tue Jun 22 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 5414-1mdk
- new release

* Wed Jun 09 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 5406-1mdk
- new release

* Fri May 28 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 5326-1mdk
- new release

* Sat Apr 03 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 5100-1mdk
- new release

* Thu Feb 26 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 4925-5mdk
- move .so link into libanthy0 since uim load them through dlopen

* Wed Feb 18 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 4925-4mdk
- fix requires

* Wed Feb 18 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 4925-3mdk
- fix requires

* Fri Jan 30 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 4925-2mdk
- use proper build fix

* Thu Jan 29 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 4925-1mdk
- new release
- fix build

* Sat Jan 24 2004 Per ?vind Karlsen <peroyvind@linux-mandrake.com> 4700-2mdk
- fix buildrequires
- cosmetics

* Wed Jan 21 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 4700-1mdk
- from UTUMI Hirosi <utuhiro78@yahoo.co.jp>: initial upload

